/**
  *  \file int/export/expjson.h
  *  \brief Export to JSON file
  */
#ifndef PCC_V2_INT_EXPORT_EXPJSON_H
#define PCC_V2_INT_EXPORT_EXPJSON_H

#include "int/export.h"

/** Export to JSON text. Generates output as an array of hashes. */
class IntJsonTextExporter : public IntExporter {
    TextFile& tf;
    bool firstField;
    bool firstRecord;

 public:
    IntJsonTextExporter(TextFile& tf);
    void startTable(const IntExportFieldList& fields, const TIntTypeHint types[]);
    void startRecord();
    void addField(IntValue* value, const string_t& name, TIntTypeHint type);
    void endRecord();
    void endTable();
};

#endif
